Show / Hide Table of Contents

# Class ActorTable

This collection represents the currently spawned FFXIV actors.

##### Inheritance

System.Object
ActorTable

##### Implements

System.Collections.Generic.IReadOnlyCollection<Actor>
System.Collections.Generic.IEnumerable<Actor>
System.Collections.ICollection
System.Collections.IEnumerable
System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors

###### Assembly: Dalamud.dll

##### Syntax

    public class ActorTable : IReadOnlyCollection<Actor>, IEnumerable<Actor>, ICollection, IEnumerable, IDisposable

### Constructors

| Improve this Doc View Source

#### ActorTable(Dalamud, ClientStateAddressResolver)

Set up the actor table collection.

##### Declaration

    public ActorTable(Dalamud dalamud, ClientStateAddressResolver addressResolver)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.Dalamud | dalamud |
Dalamud.Game.ClientState.ClientStateAddressResolver | addressResolver | Client state address resolver.

### Properties

| Improve this Doc View Source

#### Item[Int32]

Get an actor at the specified spawn index.

##### Declaration

    [CanBeNull]
    public Actor this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | Spawn index.

##### Property Value

Type | Description
--- | ---
Actor | Actor at the specified spawn index.

| Improve this Doc View Source

#### Length

The amount of currently spawned actors.

##### Declaration

    public int Length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Finalize()

##### Declaration

    protected void Finalize()

| Improve this Doc View Source

#### GetEnumerator()

##### Declaration

    public IEnumerator<Actor> GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IEnumerator<Actor> |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IReadOnlyCollection<Actor>.Count

##### Declaration

    int IReadOnlyCollection<Actor>.Count { get; }

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ICollection.CopyTo(Array, Int32)

##### Declaration

    void ICollection.CopyTo(Array array, int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Array | array |
System.Int32 | index |

| Improve this Doc View Source

#### ICollection.Count

##### Declaration

    int ICollection.Count { get; }

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ICollection.IsSynchronized

##### Declaration

    bool ICollection.IsSynchronized { get; }

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ICollection.SyncRoot

##### Declaration

    object ICollection.SyncRoot { get; }

##### Returns

Type | Description
--- | ---
System.Object |

| Improve this Doc View Source

#### IEnumerable.GetEnumerator()

##### Declaration

    IEnumerator IEnumerable.GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.IEnumerator |

### Implements

System.Collections.Generic.IReadOnlyCollection<T>
System.Collections.Generic.IEnumerable<T>
System.Collections.ICollection
System.Collections.IEnumerable
System.IDisposable